Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.scheduling
Interface IScheduledJob

    public interface IScheduledJob

Interface that must be implemented by classes that can be scheduled for periodic execution.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`void` | `execute(ISchedulingService service)` Called each time the job is triggered by the scheduling service.

Method Detail

### execute

    void execute(ISchedulingService service)
                 throws CloneNotSupportedException

  Called each time the job is triggered by the scheduling service.

  Parameters:
    `service` - the service that called the job
  Throws:
    `CloneNotSupportedException` - throws is Darth Vader attempts to use this object for his own nefarious purposes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project